Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
ASN1Object Class Reference

interface for encoding and decoding ASN1 objects More...

`#include <cryptlib.h>`

Inheritance diagram for ASN1Object:

List of all members.

## Public Member Functions

virtual void | BERDecode (BufferedTransformation &bt)=0
| decode this object from a BufferedTransformation, using BER (Basic Encoding Rules)
virtual void | DEREncode (BufferedTransformation &bt) const =0
| encode this object into a BufferedTransformation, using DER (Distinguished Encoding Rules)
virtual void | BEREncode (BufferedTransformation &bt) const
| encode this object into a BufferedTransformation, using BER

## Detailed Description

interface for encoding and decoding ASN1 objects

Definition at line 1633 of file cryptlib.h.

## Member Function Documentation

virtual void ASN1Object::BEREncode | ( | BufferedTransformation & | bt | ) | const`[inline, virtual]`

encode this object into a BufferedTransformation, using BER

this may be useful if DEREncode() would be too inefficient

Definition at line 1643 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h